summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD35
2 files changed, 51 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..7cf32befbb6
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = joschy-git
+ pkgdesc = Video upload/search/etc library
+ pkgver = 20100816
+ pkgrel = 1
+ url = http://kde-apps.org/content/show.php/RecordItNow?content=114610
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = cmake
+ makedepends = automoc4
+ makedepends = git
+ depends = kdebase-runtime
+ provides = joschy
+
+pkgname = joschy-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..4b29ab0dc96
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,35 @@
+# Contributor: Adria Arrufat <swiftscythe@gmail.com>
+pkgname=joschy-git
+pkgver=20100816
+pkgrel=1
+pkgdesc="Video upload/search/etc library"
+arch=('i686' 'x86_64')
+url="http://kde-apps.org/content/show.php/RecordItNow?content=114610"
+license=('GPL')
+depends=('kdebase-runtime')
+makedepends=('cmake' 'automoc4' 'git')
+provides=('joschy')
+source=()
+md5sums=()
+
+_gitroot='git://gitorious.org/joschy/joschy.git'
+_gitname='joschy'
+
+build(){
+
+ cd $srcdir
+
+ if [[ -d $_gitname ]]; then
+ (cd $_gitname && git pull origin)
+ else
+ git clone $_gitroot $_gitname
+ fi
+
+ cd $_gitname
+
+ rm -rf build
+ mkdir build && cd build
+ cmake -DCMAKE_INSTALL_PREFIX=/usr .. || return 1
+ make || return 1
+ make DESTDIR="$pkgdir/" install || return 1
+}